#include <kdialog.h>
#include <klocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './kstpulsegenerator.ui'
**
** Created: Sun Jul 2 22:15:41 2006
**      by: The User Interface Compiler ($Id: qt/main.cpp   3.3.6   edited Aug 31 2005 $)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "kstpulsegenerator.h"

#include <qvariant.h>
#include <kmessagebox.h>
#include <kstdatacollection.h>
#include <kst.h>
#include <qpushbutton.h>
#include <qlabel.h>
#include <qlineedit.h>
#include <qspinbox.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>
#include "kstgvector.h"
#include "./kstpulsegenerator.ui.h"

/*
 *  Constructs a KstPulseGenerator as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 *
 *  The dialog will by default be modeless, unless you set 'modal' to
 *  TRUE to construct a modal dialog.
 */
KstPulseGenerator::KstPulseGenerator( QWidget* parent, const char* name, bool modal, WFlags fl )
    : QDialog( parent, name, modal, fl )
{
    if ( !name )
	setName( "KstPulseGenerator" );
    setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)0, (QSizePolicy::SizeType)0, 0, 0, sizePolicy().hasHeightForWidth() ) );
    KstPulseGeneratorLayout = new QGridLayout( this, 1, 1, 11, 6, "KstPulseGeneratorLayout"); 

    layout1 = new QHBoxLayout( 0, 0, 6, "layout1"); 

    textLabel1 = new QLabel( this, "textLabel1" );
    layout1->addWidget( textLabel1 );

    _vector = new QLineEdit( this, "_vector" );
    layout1->addWidget( _vector );

    KstPulseGeneratorLayout->addMultiCellLayout( layout1, 0, 0, 0, 1 );

    layout2 = new QHBoxLayout( 0, 0, 6, "layout2"); 

    textLabel2 = new QLabel( this, "textLabel2" );
    layout2->addWidget( textLabel2 );

    _freq = new QSpinBox( this, "_freq" );
    _freq->setMaxValue( 9999999 );
    _freq->setMinValue( 10 );
    _freq->setLineStep( 10 );
    _freq->setValue( 1000 );
    layout2->addWidget( _freq );

    KstPulseGeneratorLayout->addLayout( layout2, 1, 1 );

    layout3 = new QHBoxLayout( 0, 0, 6, "layout3"); 
    spacer1 = new QSpacerItem( 320, 21, QSizePolicy::Expanding, QSizePolicy::Minimum );
    layout3->addItem( spacer1 );

    _ok = new QPushButton( this, "_ok" );
    layout3->addWidget( _ok );

    _close = new QPushButton( this, "_close" );
    layout3->addWidget( _close );

    KstPulseGeneratorLayout->addMultiCellLayout( layout3, 2, 2, 0, 1 );
    spacer2 = new QSpacerItem( 141, 21, QSizePolicy::Expanding, QSizePolicy::Minimum );
    KstPulseGeneratorLayout->addItem( spacer2, 1, 0 );
    languageChange();
    resize( QSize(486, 117).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections
    connect( _close, SIGNAL( clicked() ), this, SLOT( close() ) );
    connect( _ok, SIGNAL( clicked() ), this, SLOT( accept() ) );

    // buddies
    textLabel2->setBuddy( _freq );
}

/*
 *  Destroys the object and frees any allocated resources
 */
KstPulseGenerator::~KstPulseGenerator()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void KstPulseGenerator::languageChange()
{
    setCaption( tr2i18n( "Pulse Generator" ) );
    textLabel1->setText( tr2i18n( "Unique vector name:" ) );
    textLabel2->setText( tr2i18n( "Update frequency:" ) );
    _freq->setSuffix( tr2i18n( " mHz" ) );
    _ok->setText( tr2i18n( "&Ok" ) );
    _close->setText( tr2i18n( "&Cancel" ) );
}

#include "kstpulsegenerator.moc"
